## rawkit 0.6.0

=== Makefile ===
REBUILD_FLAG =
VENV=env
BIN=$(VENV)/bin
ACTIVATE=. $(BIN)/activate
APIDOCS=docs/source/api
DOCSRC=$(APIDOCS)/modules.rst docs/source/* docs/source/_static/*

.PHONY: all
all: test build pre-commit

.PHONY: pre-commit
pre-commit: .git/hooks/pre-commit
.git/hooks/pre-commit: .pre-commit-config.yaml $(VENV)
	$(ACTIVATE); pre-commit install

$(VENV): $(VENV)/bin/activate

$(VENV)/bin/activate: requirements-dev.txt
	test -d $(VENV) || virtualenv -p python3 $(VENV)
	$(ACTIVATE); pip install -r requirements-dev.txt
	touch $(BIN)/activate

.PHONY: tox
tox: $(VENV)
	$(ACTIVATE); pip install tox

.PHONY: test
test: $(VENV) tox
	$(ACTIVATE); tox $(REBUILD_FLAG)

.PHONY: stress-test
stress-test: $(VENV)
	$(ACTIVATE); INPUT=$(INPUT) tox -c tox-stress.ini $(REBUILD_FLAG)

dist/*.whl: setup.py rawkit/*.py
	python setup.py bdist_wheel

dist/*.tar.gz: setup.py rawkit/*.py
	python setup.py sdist bdist

.PHONY: wheel
wheel: dist/*.whl

.PHONY: dist
dist: dist/*.tar.gz

.PHONY: build
build: pre-commit wheel dist

.PHONY: upload
upload: clean
	$(ACTIVATE) python setup.py sdist bdist bdist_wheel upload

.PHONY: clean
clean:
	-$(ACTIVATE) 2>/dev/null; $(MAKE) -C docs $@
	find . -iname '*.pyc' | xargs rm -f
	find . -iname '__pycache__' -type d | xargs rm -rf
	rm -rf .tox
	rm -rf build
	rm -rf dist
	rm -rf $(VENV)

.PHONY: docs
docs: epub html $(VENV)

.PHONY: html
html: $(DOCSRC) $(VENV)
	$(ACTIVATE); $(MAKE) -C docs $@

.PHONY: epub
epub: $(DOCSRC) $(VENV)
	$(ACTIVATE); $(MAKE) -C docs $@

$(APIDOCS)/modules.rst: rawkit/*.py libraw/*.py $(VENV)
	$(ACTIVATE); sphinx-apidoc -f -E -M -o $(APIDOCS) -H Contents . docs tests setup.py

=== debian/changelog ===
rawkit (0.6.0-1) unstable; urgency=low

  * Autogenerated by py2dsp v1.20151008
  * Upload to unstable (Closes: #867802)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 30 Dec 2017 16:59:44 +0000

=== debian/control ===
Source: rawkit
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10~), dh-python,
               pypy,
               pypy-setuptools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://rawkit.readthedocs.org

Package: python-rawkit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: CTypes based LibRaw bindings - Python 2.X
 rawkit (pronounced "rocket") is a ctypes-based LibRaw binding for
 Python inspired by the Wand API.

Package: python3-rawkit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: CTypes based LibRaw bindings - Python 2.X
 rawkit (pronounced "rocket") is a ctypes-based LibRaw binding for
 Python inspired by the Wand API.

Package: pypy-rawkit
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends},
Recommends: ${pypy:Recommends}
Suggests: ${pypy:Suggests}
Description: CTypes based LibRaw bindings - Python 2.X
 rawkit (pronounced "rocket") is a ctypes-based LibRaw binding for
 Python inspired by the Wand API.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rawkit
%:
	dh $@ --with pypy,python2,python3 --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/rawkit/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rawkit/rawkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
